/*
 * linux/fs/msdos/msdosfs_syms.c
 *
 * Exported kernel symbols for the MS-DOS filesystem.
 * These symbols are used by umsdos.
 */

#include <linux/module.h>

#include <linux/mm.h>
#include <linux/fatx_fs.h>
#include <linux/init.h>

unsigned int fatx_debug = 0;

MODULE_PARM(fatx_debug,"i");
MODULE_PARM_DESC(fatx_debug,"turn on fatx debugging output");

static DECLARE_FSTYPE_DEV(fatx_fs_type, "fatx", fatx_read_super);

static int __init init_fatx_fs(void)
{
	return register_filesystem(&fatx_fs_type);
}

static void __exit exit_fatx_fs(void)
{
	unregister_filesystem(&fatx_fs_type);
}

module_init(init_fatx_fs)
module_exit(exit_fatx_fs)
MODULE_LICENSE("GPL");
